## python-djvulibre 0.1.18

=== doc/Makefile ===
# Makefile for Sphinx documentation

export PYTHONPATH = $(shell pwd)/../

# You can set these variables from the command line.
SPHINXOPTS =
SPHINXBUILD = sphinx-build
PAPER =

# Internal variables.
PAPEROPT_a4 = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml pickle json htmlhelp qthelp latex changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  dirhtml   to make HTML files named index.html in directories"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  qthelp    to make HTML files and a qthelp project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"
	@echo "  doctest   to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf build/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) build/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in build/dirhtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) build/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in build/qthelp, like this:"
	@echo "# qcollectiongenerator build/qthelp/python-djvulibre.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile build/qthelp/python-djvulibre.qhc"

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in build/doctest/output.txt."

# vim:ts=4 sw=4 noet

## python-djvulibre 0.1.17

=== debian/changelog ===
python-djvulibre (0.1.17-2) unstable; urgency=low

  * Install example programs.
  * Switch to source format 3.0 (quilt).
  * Build python-djvu-dbg (debug extension + detached debug symbols):
    + Build-depend on python-all-dbg.
    + In order to work around bug #541314, disable automatic cythoning sources
      with setup.py. [setup-disable-auto-cython.diff]
    + Cython sources manually in debian/rules.
  * Rewrite debian/rules using overrides.
  * Don't install Sphinx artifacts (.buildinfo, objects.inv) into the binary
    package.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 25 Apr 2010 22:54:18 +0200

python-djvulibre (0.1.17-1) unstable; urgency=low

  * New upstream release.
  * Update my e-mail addresses.
  * Let dh_installdocs install the upstream changelog.
  * Bump standards version to 3.8.4 (no changes needed).

 -- Jakub Wilk <jwilk@debian.org>  Thu, 11 Feb 2010 18:01:05 +0100

python-djvulibre (0.1.16-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright.

 -- Jakub Wilk <ubanus@users.sf.net>  Sun, 03 Jan 2010 13:57:57 +0100

python-djvulibre (0.1.15-1) unstable; urgency=low

  * New upstream release.
  * Update homepage URI in debian/copyright.

 -- Jakub Wilk <ubanus@users.sf.net>  Wed, 04 Nov 2009 20:04:26 +0100

python-djvulibre (0.1.14-1) unstable; urgency=low

  * New upstream release (closes: #544950).
  * Use unversioned dependency on python-setuptools, as the required version
    is available even in oldstable.
  * Register documentation with doc-base.

 -- Jakub Wilk <ubanus@users.sf.net>  Fri, 11 Sep 2009 15:50:40 +0200

python-djvulibre (0.1.13-2) unstable; urgency=low

  * Make debian/rules safe for parallel builds.
  * Don't assume that the build target will be called with
    Build-Depends-Indep satisfied (does not close #544781).

 -- Jakub Wilk <ubanus@users.sf.net>  Thu, 03 Sep 2009 13:55:02 +0200

python-djvulibre (0.1.13-1) unstable; urgency=low

  * Initial release (closes: #540324).

 -- Jakub Wilk <ubanus@users.sf.net>  Sun, 16 Aug 2009 11:56:38 +0200

=== debian/control ===
Source: python-djvulibre
Section: python
Priority: optional
Maintainer: Jakub Wilk <jwilk@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.3.5),
 python-support (>= 0.90), python-setuptools, cython, python-all-dev, python-all-dbg,
 libdjvulibre-dev, pkg-config
Build-Depends-Indep: python-sphinx, python-pygments, graphviz
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-djvulibre/trunk
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-djvulibre/trunk/
Homepage: http://jwilk.net/software/python-djvulibre.html

Package: python-djvu
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: python-djvu-doc
Conflicts: python-djvulibre (<< 0.1.12)
Replaces: python-djvulibre (<< 0.1.12)
Provides: python-djvulibre
Description: Python support for the DjVu image format
 python-djvulibre is a set of Python bindings for the DjVuLibre library,
 an open source implementation of DjVu.

Package: python-djvu-dbg
Section: debug
Priority: extra
Architecture: any
Depends: python-djvu (= ${binary:Version}), ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Python support for the DjVu image format (debug extension)
 python-djvulibre is a set of Python bindings for the DjVuLibre library,
 an open source implementation of DjVu.
 .
 This package contains the detached debugging symbols and the extensions built
 for the Python debug interpreter.

Package: python-djvu-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery
Recommends: python-djvu
Description: Python support for the DjVu image format (documentation)
 python-djvulibre is a set of Python bindings for the DjVuLibre library,
 an open source implementation of DjVu.
 .
 This package contains technical documentation.

=== debian/rules ===
#!/usr/bin/make -f

PYX_FILES = $(wildcard djvu/*.pyx)
C_FILES = $(PYX_FILES:.pyx=.c)

PYTHONPATH = $(wildcard $(CURDIR)/build/lib.*-$(shell pyversions -dv))

.PHONY: override_dh_auto_build
override_dh_auto_build: build/stamp
	
build/stamp: $(C_FILES)
	dh_auto_build
	touch $(@)

%.c: %.pyx
	cython $(<)

.PHONY: override_dh_installdocs
ifneq ($(shell dh_listpackages | grep -x -F python-djvu-doc),)
override_dh_installdocs: doc/stamp
endif
override_dh_installdocs:
	dh_installdocs -X.buildinfo -Xobjects.inv

doc/stamp: build/stamp
	$(MAKE) -C doc/ html PYTHONPATH=$(PYTHONPATH):$(CURDIR)
	touch $(@)

.PHONY: override_dh_auto_clean
override_dh_auto_clean: 
	rm -Rf doc/build/ doc/stamp
	rm -Rf build/
	find . -type f \( -name '*.py[co]' -or -name '*.so' -or -name '*.c' \) -delete
	rm -Rf *.egg-info/

.PHONY: override_dh_strip
override_dh_strip:
	dh_strip --dbg-package=python-djvu-dbg
	cd debian/*-dbg/usr/lib/debug/usr/lib && mv pyshared pymodules

.PHONY: build build-arch build-indep binary binary-arch binary-indep clean
build build-arch build-indep binary binary-arch binary-indep clean:
	dh $(@)

# vim:ts=4 sw=4 noet

## python-djvulibre 0.1.18

=== debian/changelog ===
python-djvulibre (0.1.18-2ubuntu1) natty; urgency=low

  * Fix compatibility with Cython 0.13 and a testsuite failure
    with python2.7 (Jakub Wilk). LP: #685483.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 08 Dec 2010 23:32:07 +0100

python-djvulibre (0.1.18-2build1) natty; urgency=low

  * Rebuild to add support for python 2.7.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Dec 2010 00:10:10 +0000

python-djvulibre (0.1.18-2) unstable; urgency=low

  * Disable memory test that is likely to fail on 64-bit architectures.
    [disable-memory-test.diff]
  * Fix test for maximum cache size on 64-bit architectures.
    [max-cachesize-64bit.diff]

 -- Jakub Wilk <jwilk@debian.org>  Sat, 26 Jun 2010 01:50:10 +0200

python-djvulibre (0.1.18-1) unstable; urgency=low

  * New upstream release.
  * Update homepage URL.
  * Fix FTBFS with nostrip build option.
  * Run tests at build time:
    + Build-depend on python-nose, djvulibre-bin, ghostscript.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 26 Jun 2010 00:39:07 +0200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,13 @@
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 7.3.5),
  python-support (>= 0.90), python-setuptools, cython, python-all-dev, python-all-dbg,
- libdjvulibre-dev, pkg-config
+ libdjvulibre-dev, pkg-config,
+ python-nose, djvulibre-bin, ghostscript
 Build-Depends-Indep: python-sphinx, python-pygments, graphviz
 Standards-Version: 3.8.4
 Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-djvulibre/trunk
 Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/python-djvulibre/trunk/
-Homepage: http://jwilk.net/software/python-djvulibre.html
+Homepage: http://jwilk.net/software/python-djvulibre
 
 Package: python-djvu
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,11 @@
 PYX_FILES = $(wildcard djvu/*.pyx)
 C_FILES = $(PYX_FILES:.pyx=.c)
 
-PYTHONPATH = $(wildcard $(CURDIR)/build/lib.*-$(shell pyversions -dv))
+nosetests = /usr/bin/nosetests --with-doctest --verbose
+tests = decode.py sexpr.py const.py
+
+pythonpath = $$(_py_=$(strip $(1)); _py_=$${_py_\#python}; ls -d $(CURDIR)/build/lib.*-$${_py_})
+pythonpath_dbg = $$(_py_=$(strip $(1)); _py_=$${_py_\#python}; ls -d $(CURDIR)/build/lib_d.*-$${_py_} 2>/dev/null || ls -d $(CURDIR)/build/lib.*-$${_py_}-pydebug)
 
 .PHONY: override_dh_auto_build
 override_dh_auto_build: build/stamp
@@ -23,7 +27,7 @@
 	dh_installdocs -X.buildinfo -Xobjects.inv
 
 doc/stamp: build/stamp
-	$(MAKE) -C doc/ html PYTHONPATH=$(PYTHONPATH):$(CURDIR)
+	$(MAKE) -C doc/ html PYTHONPATH=$(call pythonpath,$(shell pyversions -d)):$(CURDIR)
 	touch $(@)
 
 .PHONY: override_dh_auto_clean
@@ -35,8 +39,21 @@
 
 .PHONY: override_dh_strip
 override_dh_strip:
+ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
 	dh_strip --dbg-package=python-djvu-dbg
 	cd debian/*-dbg/usr/lib/debug/usr/lib && mv pyshared pymodules
+endif
+
+.PHONY: override_dh_auto_test
+override_dh_auto_test:
+ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	cd tests && \
+	set -x -e; \
+	for python in $(shell pyversions -r); do \
+	    PYTHONPATH=$(call pythonpath,$$python) $$python $(nosetests) $(tests); \
+	    PYTHONPATH=$(call pythonpath_dbg,$$python) $$python-dbg $(nosetests) $(tests); \
+	done
+endif
 
 .PHONY: build build-arch build-indep binary binary-arch binary-indep clean
 build build-arch build-indep binary binary-arch binary-indep clean:

## python-djvulibre 0.3.3

=== debian/changelog ===
python-djvulibre (0.3.3-1) unstable; urgency=low

  * New maintainer (Closes: #598157).
  * New upstream release (Closes: #604036).
    + Fixes FTBFS with Python 2.7 (Closes: #606681).
  * Removed patches disable-memory-test.diff, max-cachesize-64bit.diff
    (fixed with 0.3.0), setup-disable-auto-cython.diff (workaround no longer
    needed).
  * Made build_sphinx available even without setuptools [build_sphinx.diff].
  * Updated Lizardtech Djvu Reference link [lizardtech_link.diff]
    (Closes: #627290).
  * debian/control:
    + wrapped and sorted.
    + added build-dep locales.
    + bumped Standards-Version to 3.9.2 (no changes needed).
    + removed Replaces, Conflicts and Provides for python-djvulibre (a binary
      package name pre-dating publication in Debian archive).
    + extended package descriptions.
  * debian/rules:
    + removed building with cython from rules (no longer needed).
    + removal of dllpath.py after dh_install (not useful on Debian systems).
    + changed building of html docs to be processed with setup build_sphinx
      (doc/Makefile removed from upstream).
    + clean: added removal of .egg-info/ and of djvu/config.pxi.
    + tests: passing of explicit module names not needed anymore (test
      modules have been renamed for that) and doctests option dropped (no
      doctests anymore).
    + added generating of needed locales at build time to avoid build-dep on
      locales-all, added export LC_ALL=C.
    + added override for dh_installchangelogs instead of listing uptstream
      changelog in debian/*.doc.
    + added override for dh_compress to drop python-djvu-doc.compress
      (deprecated).
  * debian/copyright:
    + bumped DEP-5 revision to CANDIDATE.
    + changed maintainer.
    + expanded copyrights to cover also 2011.

 -- Daniel Stender <daniel@danielstender.com>  Sun, 26 Jun 2011 23:41:15 +0200

## python-djvulibre 0.3.8

=== debian/changelog ===
python-djvulibre (0.3.8-0ubuntu1) precise; urgency=low

  * New upstream which fixes ftbfs (LP: #959347, #935385)
    + Removes all prior patches (build_sphinx.diff and lizardtech_link.diff)
      as they've been accepted upstream

 -- Matthew Fischer <matthew.fischer@canonical.com>  Thu, 12 Apr 2012 13:53:15 -0400

=== debian/control ===
Source: python-djvulibre
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Daniel Stender <daniel@danielstender.com>
Uploaders:
 Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends:
 cython,
 debhelper (>= 7.3.5),
 djvulibre-bin,
 ghostscript,
 libdjvulibre-dev,
 locales,
 pkg-config,
 python-all-dbg,
 python-all-dev,
 python-nose,
 python-setuptools,
 python-support (>= 0.90)
Build-Depends-Indep: graphviz, python-pygments, python-sphinx
Standards-Version: 3.9.2
Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-djvulibre/trunk
Vcs-Browser: http://svn.debian.org/viewvc/python-modules/packages/python-djvulibre/trunk
Homepage: http://jwilk.net/software/python-djvulibre

Package: python-djvu
Architecture: any
Depends:
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Suggests: python-djvu-doc
Description: Python support for the DjVu image format
 python-djvulibre is a set of Python bindings for the DjVuLibre library,
 an open source implementation of DjVu. This image format is designed
 primarily for scanned documents, it includes advanced techniques like
 image layer separation and arithmetic coding compression.
 .
 This package contains the Python bindings, please see python-djvu-doc
 for its documentation and python-djvu-dbg for debugging symbols.

Package: python-djvu-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 python-djvu (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
Description: Python support for the DjVu image format (debug extension)
 python-djvulibre is a set of Python bindings for the DjVuLibre library,
 an open source implementation of DjVu. This image format is designed
 primarily for scanned documents, it includes advanced techniques like
 image layer separation and arithmetic coding compression.
 .
 This package contains the detached debugging symbols and the extensions built
 for the Python debug interpreter.

Package: python-djvu-doc
Section: doc
Architecture: all
Depends: libjs-jquery, ${misc:Depends}
Recommends: python-djvu
Description: Python support for the DjVu image format (documentation)
 python-djvulibre is a set of Python bindings for the DjVuLibre library,
 an open source implementation of DjVu. This image format is designed
 primarily for scanned documents, it includes advanced techniques like
 image layer separation and arithmetic coding compression.
 .
 This package contains technical documentation.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export LC_ALL=C

PYX_FILES = $(wildcard djvu/*.pyx)
C_FILES = $(PYX_FILES:.pyx=.c)

nosetests = /usr/bin/nosetests --verbose

pythonpath = $$(_py_=$(strip $(1)); _py_=$${_py_\#python}; ls -d $(CURDIR)/build/lib.*-$${_py_})
pythonpath_dbg = $$(_py_=$(strip $(1)); _py_=$${_py_\#python}; ls -d $(CURDIR)/build/lib_d.*-$${_py_} 2>/dev/null || ls -d $(CURDIR)/build/lib.*-$${_py_}-pydebug)

:PHONY: override_dh_install
override_dh_install:
	dh_install
	rm -f $(CURDIR)/debian/python-djvu/usr/lib/python*/dist-packages/djvu/dllpath.py

.PHONY: override_dh_installdocs
override_dh_installdocs:
ifneq ($(shell dh_listpackages | grep -x -F python-djvu-doc),)
	python setup.py build_sphinx
endif
	dh_installdocs -X.buildinfo -Xobjects.inv

.PHONY: override_dh_auto_clean
override_dh_auto_clean: 
	rm -Rf doc/build/ doc/stamp
	rm -Rf build/
	find . -type f \( -name '*.py[co]' -or -name '*.so' -or -name '*.c' \) -delete
	rm -Rf *.egg-info/
	rm -f djvu/config.pxi

.PHONY: override_dh_strip
override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip --dbg-package=python-djvu-dbg
	cd debian/*-dbg/usr/lib/debug/usr/lib && mv pyshared pymodules
endif

.PHONY: override_dh_auto_test
override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	mkdir -p debian/tmp/locale/
	localedef -f UTF-8 -i ja_JP ./debian/tmp/locale/ja_JP.UTF-8/
	export LOCPATH=$(CURDIR)/debian/tmp/locale/ && \
	cd tests && \
	set -x -e; \
	for python in $(shell pyversions -r); do \
		ln -sf $(call pythonpath,$$python)/djvu djvu; $$python $(nosetests); rm djvu; \
		ln -sf $(call pythonpath_dbg,$$python)/djvu djvu; $$python-dbg $(nosetests); rm djvu; \
	done
endif

.PHONY: override_dh_installchangelogs
override_dh_installchangelogs:
	dh_installchangelogs doc/changelog

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress -X.txt

.PHONY: build build-arch build-indep binary binary-arch binary-indep clean
build build-arch build-indep binary binary-arch binary-indep clean:
	dh $(@)

# vim:ts=4 sw=4 noet

## python-djvulibre 0.3.9

=== tests/images/Makefile ===
tex_files = $(wildcard *.tex)
pdf_files = $(tex_files:.tex=.pdf)
djvu_files = $(pdf_files:.pdf=.djvu)

.PHONY: all
all: $(djvu_files)

%.pdf: %.tex
	pdflatex $(<)
	pdflatex $(<)

%.djvu: %.pdf
	pdf2djvu $(<) -o $(@)

.PHONY: clean
clean:
	rm -f $(pdf_files) $(djvu_files) *.log *.out *.aux

# vim:ts=4 sw=4 noet

=== debian/changelog ===
python-djvulibre (0.3.9-3) unstable; urgency=low

  * deb/control: moved Build-Depends-Indep to Build-Depends.

 -- Daniel Stender <debian@danielstender.com>  Sun, 10 Aug 2014 23:13:52 +0200

python-djvulibre (0.3.9-2) unstable; urgency=low

  * deb/control:
    + Updated maintainer email address.
    + Removed unneccesary b-ds and updated for Python3 packages.
    + Added Python3 package descriptions (Closes: #604037).
    + Bumped standards to 3.9.5 (no further changes needed).
    + Use canonical URIs for Vcs-* fields [Jakub Wilk].
  * deb/copyright:
    + Changed Source URI to code repo.
    + Updated Format-Specification, copyright spans and email addresses.
  * deb/rules:
    + added DEB_BUILD_OPTIONS export line.
    + build with pybuild, reduced.
    + added doc/credits.txt to dh_installdocs for all packages.
    + build documentation with dh_sphinxdoc.
  * Dropped .install-s (unneeded), .examples (moved to doc package),
    -doc.links, updated -doc.doc-base.
  * deb/compat: bumped Debhelper level to 9.
  * deb/watch: added pgpsigurlmangle (also added deb/upstream/signing-key.asc).
  * Added \.egg.info to source/options.
  * Wrapped-and-sorted -a.

 -- Daniel Stender <debian@danielstender.com>  Sun, 10 Aug 2014 15:54:50 +0200

python-djvulibre (0.3.9-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
    + Drop all patches, applied upstream.
  * Run nosetests with --no-skip.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 23 Apr 2012 22:49:03 +0200

python-djvulibre (0.3.3-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: FAIL: test_decode.test_documents.test_export_ps":
    new patch test_export_ps_normalize_whitespace.diff from upstream repo.
    (Closes: #646177)

 -- gregor herrmann <gregoa@debian.org>  Mon, 19 Mar 2012 18:39:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,29 @@
 Source: python-djvulibre
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Stender <daniel@danielstender.com>
+Maintainer: Daniel Stender <debian@danielstender.com>
 Uploaders:
  Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends:
  cython,
- debhelper (>= 7.3.5),
+ debhelper (>= 9),
+ dh-python,
  djvulibre-bin,
- ghostscript,
+ graphviz,
  libdjvulibre-dev,
- locales,
  pkg-config,
  python-all-dbg,
  python-all-dev,
  python-nose,
+ python-pygments,
  python-setuptools,
- python-support (>= 0.90)
-Build-Depends-Indep: graphviz, python-pygments, python-sphinx
-Standards-Version: 3.9.2
-Vcs-Svn: svn://svn.debian.org/python-modules/packages/python-djvulibre/trunk
-Vcs-Browser: http://svn.debian.org/viewvc/python-modules/packages/python-djvulibre/trunk
+ python-sphinx,
+ python3-all-dbg,
+ python3-all-dev,
+ python3-nose
+Standards-Version: 3.9.5
+Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-djvulibre/trunk/
+Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-djvulibre/trunk/
 Homepage: http://jwilk.net/software/python-djvulibre
 
 Package: python-djvu
@@ -30,7 +32,8 @@
  ${misc:Depends},
  ${python:Depends},
  ${shlibs:Depends}
-Suggests: python-djvu-doc
+Suggests:
+ python-djvu-doc
 Description: Python support for the DjVu image format
  python-djvulibre is a set of Python bindings for the DjVuLibre library,
  an open source implementation of DjVu. This image format is designed
@@ -58,11 +61,50 @@
  This package contains the detached debugging symbols and the extensions built
  for the Python debug interpreter.
 
+Package: python3-djvu
+Architecture: any
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends}
+Suggests:
+ python-djvu-doc
+Description: Python3 support for the DjVu image format
+ python-djvulibre is a set of Python bindings for the DjVuLibre library,
+ an open source implementation of DjVu. This image format is designed
+ primarily for scanned documents, it includes advanced techniques like
+ image layer separation and arithmetic coding compression.
+ .
+ This package contains the Python3 bindings, please see python-djvu-doc
+ for its documentation and python3-djvu-dbg for debugging symbols.
+
+Package: python3-djvu-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends:
+ python3-djvu (= ${binary:Version}),
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends}
+Description: Python3 support for the DjVu image format (debug extension)
+ python-djvulibre is a set of Python bindings for the DjVuLibre library,
+ an open source implementation of DjVu. This image format is designed
+ primarily for scanned documents, it includes advanced techniques like
+ image layer separation and arithmetic coding compression.
+ .
+ This package contains the detached debugging symbols and the extensions built
+ for the Python3 debug interpreter.
+
 Package: python-djvu-doc
 Section: doc
 Architecture: all
-Depends: libjs-jquery, ${misc:Depends}
-Recommends: python-djvu
+Depends:
+ ${misc:Depends},
+ ${sphinxdoc:Depends}
+Recommends:
+ python-djvu,
+ python3-djvu
 Description: Python support for the DjVu image format (documentation)
  python-djvulibre is a set of Python bindings for the DjVuLibre library,
  an open source implementation of DjVu. This image format is designed

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export PYBUILD_NAME=djvu

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="cd {dir}/tests; ln -sf {build_dir}/djvu djvu; {interpreter} -m nose --verbose --no-skip; rm djvu" \
	dh_auto_test

override_dh_install:
	rm -r debian/python*-djvu/usr/lib/python*/dist-packages/djvu/dllpath.py

override_dh_installdocs:
	python setup.py build_sphinx
	dh_installdocs -Xobjects.inv -A doc/credits.txt
	dh_sphinxdoc

vim:ts=4 sw=4 noet

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ http://pypi.python.org/packages/source/p/python-djvulibre/python-djvulibre-([0-9.]+).tar.gz

## python-djvulibre 0.5

=== tests/images/Makefile ===
--- 
+++ 
@@ -16,4 +16,4 @@
 clean:
 	rm -f $(pdf_files) $(djvu_files) *.log *.out *.aux
 
-# vim:ts=4 sw=4 noet
+# vim:ts=4 sts=4 sw=4 noet

=== debian/changelog ===
python-djvulibre (0.5-1) unstable; urgency=medium

  * New upstream release.
  * deb/control: added version for djvulibre-dev.

 -- Daniel Stender <debian@danielstender.com>  Tue, 11 Aug 2015 02:03:32 +0200

python-djvulibre (0.4-1) unstable; urgency=medium

  * New upstream release.
  * deb/gbp.conf: updated config section style (import-orig).
  * deb/source/options: rewrite to ignore djvu/config.pxi, corrected.

 -- Daniel Stender <debian@danielstender.com>  Sun, 26 Jul 2015 16:55:33 +0200

python-djvulibre (0.3.10-2) unstable; urgency=medium

  * deb/control: Vcs-Browser use cgit instead of gitweb.
  * deb/rules:
    + added override for dh_strip (Closes: #775657).
    + dropped nodocs build option check (obsolete) and destdir export
      (not needed here).
    + build_ext once more inplace for Sphinx docs (with that, dropped
      sphinx-modules-path.diff, added deb/clean).

 -- Daniel Stender <debian@danielstender.com>  Fri, 08 May 2015 15:04:24 +0200

python-djvulibre (0.3.10-1) unstable; urgency=medium

  * New upstream release (Closes: #767769).
  * deb/control:
    + bumped standards to 3.9.6 (no changes needed).
    + updated Vcs fields (moved to Git).
  * deb/copyright: expanded copyright spans.
  * deb/rules:
    + hardened test calls by unset of LANGUAGE (Closes: #695049).
    + added exports for PYBUILD_DESTDIR (Closes: #775657).
    + added switch for DEB_BUILD_OPTIONS=nodocs to dh_installdocs.
    + dropped Vim setup line.
  * deb/watch: watch pypi.debian.net.
  * Docs package:
    + added sphinx-modules-path.diff (needed to prevent build break
      of new upstream tarball but also fixes inheritance diagrams).
    + deb/control: added build-deps needed for sphinx.ext.math extension.
    + deb/rules: moved dh_sphinxdoc to dh sequencer options,
      set http_proxy to localhost/discard for Sphinx build.
    + added examples/ to deb/python-djvu-doc.docs.
  * Added DEP-8 test suite.
  * Added deb/gbp.conf.

 -- Daniel Stender <debian@danielstender.com>  Fri, 01 May 2015 12:50:31 +0200

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,9 @@
  debhelper (>= 9),
  dh-python,
  djvulibre-bin,
+ dvipng,
  graphviz,
- libdjvulibre-dev,
+ libdjvulibre-dev (>= 3.5.26),
  pkg-config,
  python-all-dbg,
  python-all-dev,
@@ -20,11 +21,13 @@
  python-sphinx,
  python3-all-dbg,
  python3-all-dev,
- python3-nose
-Standards-Version: 3.9.5
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-djvulibre/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-djvulibre/trunk/
+ python3-nose,
+ texlive-latex-extra
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-djvulibre.git
+Vcs-Browser: http://anonscm.debian.org/cgit/python-modules/packages/python-djvulibre.git
 Homepage: http://jwilk.net/software/python-djvulibre
+Testsuite: autopkgtest
 
 Package: python-djvu
 Architecture: any

## python-djvulibre 0.7

=== tests/images/Makefile ===
# Copyright © 2010-2015 Jakub Wilk <jwilk@jwilk.net>
#
# This file is part of python-djvulibre.
#
# python-djvulibre is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License version 2 as published by
# the Free Software Foundation.
#
# python-djvulibre is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
# more details.

PDF2DJVU = pdf2djvu

tex_files = $(wildcard *.tex)
pdf_files = $(tex_files:.tex=.pdf)
djvu_files = $(pdf_files:.pdf=.djvu)

.PHONY: all
all: $(djvu_files)

%.pdf: %.tex
	pdflatex $(<)
	pdflatex $(<)

%.djvu: %.pdf
	$(PDF2DJVU) $(<) -o $(@)

.PHONY: clean
clean:
	rm -f $(pdf_files) *.log *.out *.aux

# vim:ts=4 sts=4 sw=4 noet

=== debian/changelog ===
python-djvulibre (0.7-1build1) xenial; urgency=medium

  * No-change rebuild to drop python3.4 support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Jan 2016 00:42:41 +0000

python-djvulibre (0.7-1) unstable; urgency=medium

  * New upstream release.
  * deb/control: added version to dep on cython.

 -- Daniel Stender <debian@danielstender.com>  Fri, 04 Sep 2015 21:29:24 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends:
- cython,
+ cython (>= 0.20),
  debhelper (>= 9),
  dh-python,
  djvulibre-bin,

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export PYBUILD_NAME=djvu

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="unset LANGUAGE; cd {dir}/tests; ln -sf {build_dir}/djvu djvu; {interpreter} -m nose --verbose --no-skip; rm djvu" \
	dh_auto_test

override_dh_install:
	rm -r debian/python*-djvu/usr/lib/python*/dist-packages/djvu/dllpath.py

override_dh_installdocs:
	python setup.py build_ext -i
	http_proxy='127.0.0.1:9' python setup.py build_sphinx
	dh_installdocs -Xobjects.inv -A doc/credits.txt

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython-djvu --dbg-package=python-djvu-dbg
	dh_strip -ppython3-djvu --dbg-package=python3-djvu-dbg
endif

=== debian/tests/control ===
Tests: python-djvu
Depends: python-djvu, python-nose

Tests: python3-djvu
Depends: python3-djvu, python3-nose

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://pypi.debian.net/python-djvulibre/ \
python-djvulibre-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-djvulibre 0.7.2

=== debian/changelog ===
python-djvulibre (0.7.2-1) unstable; urgency=medium

  * New upstream release.
  * deb/control: bumped standards to 3.9.8 (no changes needed).
  * fixed deb/source/options.

 -- Daniel Stender <stender@debian.org>  Fri, 03 Jun 2016 14:49:54 +0200

python-djvulibre (0.7.1-1) unstable; urgency=medium

  * New upstream release.
  * deb/control:
    + updated maintainer email address.
    + arranged build-deps logically, added python3-setuptools.
    + bumped standards to 3.9.7 (no changes needed).
    + use HTTPS also for Vcs-Git.
    + dropped Testsuite field (deprecated).
  * deb/copyright: updated.
  * deb/rules: added export for DEB_BUILD_MAINT_OPTIONS with BINDNOW.
  * Dropped deb/gbp.conf (package is controlled by git-dpm).
  * Put examples from djvu-doc.docs into djvu-doc.examples

 -- Daniel Stender <stender@debian.org>  Mon, 21 Mar 2016 16:32:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,33 +1,33 @@
 Source: python-djvulibre
 Section: python
 Priority: optional
-Maintainer: Daniel Stender <debian@danielstender.com>
+Maintainer: Daniel Stender <stender@debian.org>
 Uploaders:
  Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends:
- cython (>= 0.20),
  debhelper (>= 9),
  dh-python,
+ python-all-dev,
+ python3-all-dev,
+ python-all-dbg,
+ python3-all-dbg,
+ python-setuptools,
+ python3-setuptools,
+ libdjvulibre-dev (>= 3.5.26),
  djvulibre-bin,
+ cython (>= 0.20),
+ pkg-config,
+ python-nose,
+ python3-nose,
+ python-sphinx,
+ python-pygments,
  dvipng,
  graphviz,
- libdjvulibre-dev (>= 3.5.26),
- pkg-config,
- python-all-dbg,
- python-all-dev,
- python-nose,
- python-pygments,
- python-setuptools,
- python-sphinx,
- python3-all-dbg,
- python3-all-dev,
- python3-nose,
  texlive-latex-extra
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-djvulibre.git
-Vcs-Browser: http://anonscm.debian.org/cgit/python-modules/packages/python-djvulibre.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-djvulibre.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-djvulibre.git
 Homepage: http://jwilk.net/software/python-djvulibre
-Testsuite: autopkgtest
 
 Package: python-djvu
 Architecture: any

## python-djvulibre 0.8

=== debian/changelog ===
python-djvulibre (0.8-3) unstable; urgency=medium

  * deb/control: bump standards to 4.1.3 (no further changes needed).
  * deb/copyright: expand copyright span to 2018.
  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Deprecating priority extra as per policy 4.0.1
  * d/watch: Use https protocol

 -- Daniel Stender <stender@debian.org>  Mon, 19 Feb 2018 12:15:25 +0100

python-djvulibre (0.8-2) unstable; urgency=medium

  * drop git-dpm regime (drop deb/.git-dpm, add deb/gbp.conf).
  * use debhelper level 10 (changes in deb/compat and deb/control).
  * deb/copyright:
    + use https in Format field.
    + expand copyright span.
  * deb/control:
    + bump deps for docs-package to Recommends.
    + bump standards version to 4.0.0 (no further changes needed).

 -- Daniel Stender <stender@debian.org>  Fri, 21 Jul 2017 17:05:22 +0200

python-djvulibre (0.8-1) unstable; urgency=medium

  * New upstream release:
    + drop build-deps against setuptools in deb/control (not needed anymore).
    + drop build-deps against texlive-latex-extra and dvipng (sphinx.ext.pngmath
      not used anymore).
    + update Source (project moved to Github) in deb/copyright.
  * deb/tests/control:
    + add python{,3}-all to Depends.

 -- Daniel Stender <stender@debian.org>  Sat, 27 Aug 2016 23:55:45 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,12 @@
 Uploaders:
  Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  dh-python,
  python-all-dev,
  python3-all-dev,
  python-all-dbg,
  python3-all-dbg,
- python-setuptools,
- python3-setuptools,
  libdjvulibre-dev (>= 3.5.26),
  djvulibre-bin,
  cython (>= 0.20),
@@ -21,12 +19,10 @@
  python3-nose,
  python-sphinx,
  python-pygments,
- dvipng,
- graphviz,
- texlive-latex-extra
-Standards-Version: 3.9.8
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-djvulibre.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-djvulibre.git
+ graphviz
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-djvulibre.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-djvulibre
 Homepage: http://jwilk.net/software/python-djvulibre
 
 Package: python-djvu
@@ -35,7 +31,7 @@
  ${misc:Depends},
  ${python:Depends},
  ${shlibs:Depends}
-Suggests:
+Recommends:
  python-djvu-doc
 Description: Python support for the DjVu image format
  python-djvulibre is a set of Python bindings for the DjVuLibre library,
@@ -48,7 +44,6 @@
 
 Package: python-djvu-dbg
 Section: debug
-Priority: extra
 Architecture: any
 Depends:
  python-djvu (= ${binary:Version}),
@@ -70,7 +65,7 @@
  ${misc:Depends},
  ${python3:Depends},
  ${shlibs:Depends}
-Suggests:
+Recommends:
  python-djvu-doc
 Description: Python3 support for the DjVu image format
  python-djvulibre is a set of Python bindings for the DjVuLibre library,
@@ -83,7 +78,6 @@
 
 Package: python3-djvu-dbg
 Section: debug
-Priority: extra
 Architecture: any
 Depends:
  python3-djvu (= ${binary:Version}),

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 #export DH_VERBOSE=1
 #export DEB_BUILD_OPTIONS=nocheck
 export PYBUILD_NAME=djvu
+export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
 
 %:
 	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

=== debian/tests/control ===
Tests: python-djvu
Depends: python-djvu, python-all, python-nose

Tests: python3-djvu
Depends: python3-djvu, python3-all, python3-nose

## python-djvulibre 0.8.1

=== debian/changelog ===
python-djvulibre (0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * deb/copyright:
    + expand copyright span.
  * deb/rules:
    + remove trailing empty line.

  [  Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP

 -- Daniel Stender <stender@debian.org>  Sat, 07 Jul 2018 22:38:40 +0200

python-djvulibre (0.8-4) unstable; urgency=medium

  * add python3-distutils to b-ds in deb/control and deps in
    deb/tests/control (needed separately since Python python3.6/3.6.5~rc1-2).

 -- Daniel Stender <stender@debian.org>  Thu, 22 Mar 2018 17:36:39 +0100

=== debian/rules ===
--- 
+++ 
@@ -25,4 +25,3 @@
 	dh_strip -ppython-djvu --dbg-package=python-djvu-dbg
 	dh_strip -ppython3-djvu --dbg-package=python3-djvu-dbg
 endif
-

## python-djvulibre 0.8.2

=== debian/changelog ===
python-djvulibre (0.8.2-2) unstable; urgency=medium

  * deb/rules:
    + don't put dh_installdocs into check for if nodoc build option is set.
  * deb/source/options:
    + drop egg-info folder from extend-diff-ignore (obsolete).

 -- Daniel Stender <stender@debian.org>  Wed, 19 Dec 2018 14:44:06 +0100

python-djvulibre (0.8.2-1) unstable; urgency=medium

  * New upstream release:
    + deb/tests/python{,3}-djvu: also cp doc/ to tmpdir for version tests.
  * deb/control:
    + bump standards to 4.2.1 (no further changes needed).
  * deb/rules:
    + build with DH_VERBOSE=1 (according to standards 4.2.0).
    + drop unnecessary export line for DEB_BUILD_OPTIONS.
    + for exported DEB_BUILD_MAINT_OPTIONS, switch to hardening=+all.
    + don't build sphinx docs if nodoc is set in DEB_BUILD_OPTIONS.
    + update a file path within override for dh_installdocs.
  * build with debhelper level 11 (changes in deb/compat and deb/control).
  * build with python3-sphinx:
    + deb/control: change sphinx package name in b-deps.
    + deb/rules: build in-place ext with python3 in dh_installdocs override.
    + deb/rules: run setup.py build-sphinx with python3.
  * install build profile items:
    + deb/control: add <!nocheck> and <!nodoc> switches to b-deps and docs
      package.
    + deb/rules: install check for nodoc in DEB_BUILD_PROFILES and run dh
      with sphinxdoc extension accordingly.

 -- Daniel Stender <stender@debian.org>  Wed, 31 Oct 2018 23:18:21 +0100

=== debian/control ===
--- 
+++ 
@@ -5,22 +5,23 @@
 Uploaders:
  Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  dh-python,
  python-all-dev,
  python3-all-dev,
  python-all-dbg,
  python3-all-dbg,
+ python3-distutils,
  libdjvulibre-dev (>= 3.5.26),
  djvulibre-bin,
  cython (>= 0.20),
  pkg-config,
- python-nose,
- python3-nose,
- python-sphinx,
- python-pygments,
- graphviz
-Standards-Version: 4.1.3
+ python-nose <!nocheck>,
+ python3-nose <!nocheck>,
+ python3-sphinx <!nodoc>,
+ python-pygments <!nodoc>,
+ graphviz <!nodoc>
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-djvulibre.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-djvulibre
 Homepage: http://jwilk.net/software/python-djvulibre
@@ -96,6 +97,7 @@
 Package: python-djvu-doc
 Section: doc
 Architecture: all
+Build-Profiles: <!nodoc>
 Depends:
  ${misc:Depends},
  ${sphinxdoc:Depends}

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export PYBUILD_NAME=djvu
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
ifneq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	dh $@ --with python2,python3 --buildsystem=pybuild

else
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
endif

override_dh_auto_test:
	PYBUILD_SYSTEM=custom \
	PYBUILD_TEST_ARGS="unset LANGUAGE; cd {dir}/tests; ln -sf {build_dir}/djvu djvu; {interpreter} -m nose --verbose --no-skip; rm djvu" \
	dh_auto_test

override_dh_install:
	rm -r debian/python*-djvu/usr/lib/python*/dist-packages/djvu/dllpath.py

override_dh_installdocs:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	python3 setup.py build_ext -i
	http_proxy='127.0.0.1:9' python3 setup.py build_sphinx
endif
	dh_installdocs -Xobjects.inv -A doc/credits

override_dh_strip:
ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
	dh_strip -ppython-djvu --dbg-package=python-djvu-dbg
	dh_strip -ppython3-djvu --dbg-package=python3-djvu-dbg
endif

=== debian/tests/control ===
Tests: python-djvu
Depends: python-djvu, python-all, python-nose

Tests: python3-djvu
Depends: python3-djvu, python3-all, python3-distutils, python3-nose

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/python-djvulibre/ \
python-djvulibre-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-djvulibre 0.8.4

=== debian/changelog ===
python-djvulibre (0.8.4-3build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:22:45 +0100

python-djvulibre (0.8.4-3) unstable; urgency=medium

  * QA upload.
  * Drop python2 support; Closes: #937710

 -- Sandro Tosi <morph@debian.org>  Thu, 21 Nov 2019 19:41:11 -0500

python-djvulibre (0.8.4-2) unstable; urgency=medium

  * Orphaning package.
  * Bump Standards-Version to 4.4.1 [Ondřej Nový].

 -- Daniel Stender <stender@debian.org>  Thu, 21 Nov 2019 00:14:36 +0100

python-djvulibre (0.8.4-1) unstable; urgency=medium

  * New upstream release.
  * deb/control:
    + bump standards version to 4.4.0 (no changes needed).
  * deb/copyright:
    + expand copyright spans.
  * add subprocess32 to b-deps and deb/tests/control.
  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.

 -- Daniel Stender <stender@debian.org>  Tue, 17 Sep 2019 13:34:12 +0200

=== debian/control ===
Source: python-djvulibre
Section: python
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 python3-all-dev,
 python3-all-dbg,
 python3-distutils,
 libdjvulibre-dev (>= 3.5.26),
 djvulibre-bin,
 cython3 (>= 0.20),
 pkg-config,
 python3-nose <!nocheck>,
 python3-sphinx <!nodoc>,
 graphviz <!nodoc>
Standards-Version: 4.4.1
Vcs-Git: https://salsa.debian.org/python-team/modules/python-djvulibre.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-djvulibre
Homepage: http://jwilk.net/software/python-djvulibre

Package: python3-djvu
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Recommends:
 python-djvu-doc
Description: Python3 support for the DjVu image format
 python-djvulibre is a set of Python bindings for the DjVuLibre library,
 an open source implementation of DjVu. This image format is designed
 primarily for scanned documents, it includes advanced techniques like
 image layer separation and arithmetic coding compression.
 .
 This package contains the Python3 bindings, please see python-djvu-doc
 for its documentation and python3-djvu-dbg for debugging symbols.

Package: python3-djvu-dbg
Section: debug
Architecture: any
Depends:
 python3-djvu (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends}
Description: Python3 support for the DjVu image format (debug extension)
 python-djvulibre is a set of Python bindings for the DjVuLibre library,
 an open source implementation of DjVu. This image format is designed
 primarily for scanned documents, it includes advanced techniques like
 image layer separation and arithmetic coding compression.
 .
 This package contains the detached debugging symbols and the extensions built
 for the Python3 debug interpreter.

Package: python-djvu-doc
Section: doc
Architecture: all
Build-Profiles: <!nodoc>
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends}
Recommends:
 python3-djvu
Description: Python support for the DjVu image format (documentation)
 python-djvulibre is a set of Python bindings for the DjVuLibre library,
 an open source implementation of DjVu. This image format is designed
 primarily for scanned documents, it includes advanced techniques like
 image layer separation and arithmetic coding compression.
 .
 This package contains technical documentation.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/python-djvulibre/ \
python-djvulibre-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
